> ## Documentation Index
> Fetch the complete documentation index at: https://docs.datanumia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Consumption data extract

> The service downloads a site’s data used for electricity consumption calculation.



## OpenAPI

````yaml /api-reference/energy-consumption.yaml get /v2/sites/{site-id}/consumption-data-extract
openapi: 3.1.0
info:
  title: Energy consumption
  termsOfService: TODO
  contact:
    email: api@datanumia.com
  version: 2.0.0
servers:
  - url: https://api.home.datanumia.com/api
    description: Production Server
security: []
paths:
  /v2/sites/{site-id}/consumption-data-extract:
    get:
      tags:
        - Download a site's consumption data
      summary: Consumption data extract
      description: >-
        The service downloads a site’s data used for electricity consumption
        calculation.
      operationId: getConsumptionDataExtract
      parameters:
        - name: site-id
          in: path
          description: The site identifier
          required: true
          schema:
            type: string
        - name: language
          in: query
          description: Language in which the files are downloaded.
          required: false
          schema:
            type: string
            default: fr
      responses:
        '200':
          description: OK - returns data as csv
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Site not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '500':
          description: Unexpected error
components:
  schemas:
    ApiError:
      type: object
      properties:
        errorCode:
          type: string
        errorDescription:
          type: string

````